package com.ichaoj.ams;

import com.ichaoj.ams.script.SResult;
import com.ichaoj.ams.script.model.AirdropParam;
import com.ichaoj.ams.script.model.AirdropWallet;
import com.ichaoj.ams.script.test.nft.Erc21TestScript;
import org.junit.jupiter.api.Test;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.HashMap;
import java.util.Map;


class AmsBackendApplicationTests {

    @Test
    void contextLoads() {
        Erc21TestScript script = new Erc21TestScript();
        Map<String, AirdropParam> params = new HashMap<>();
        params.put("quantity", new AirdropParam("quantity", null, "1"));
        AirdropWallet airdropWallet = new AirdropWallet();
        airdropWallet.setAddress("0x368715F09C1AB5E0B55bF5bA19cD887189A28DBE");
        airdropWallet.setPrivateKey("f9eac039449802f20cf0a38bc0b6f4064508fa61897d9c4fcb6cb66bd1311674");
        SResult sResult = script.run(params, airdropWallet);
        System.out.println(sResult);
    }

}
